# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Name:		perl-Test-Warn
Version:	0.23
Release:	1.%{__distinit}%{__distvers}
Summary:	Perl extension to test methods for warnings
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Test-Warn/
Source0:	http://search.cpan.org/CPAN/authors/id/C/CH/CHORNY/Test-Warn-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Sub::Uplevel) >= 0.12
BuildRequires:	perl(Test::Builder) >= 0.13
BuildRequires:	perl(Test::Builder::Tester)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Tree::DAG_Node) >= 1.02
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:	perl(Test::Builder) >= 0.13
Requires:	perl(Test::Builder::Tester)
Requires:	perl(Tree::DAG_Node) >= 1.02

# Remove redundant unversioned perl deps (rpm 4.9 onwards)
%global __requires_exclude ^perl\\(Tree::DAG_Node\\)$

%description
This module provides a few convenience methods for testing warning
based code.

%prep
%setup -q -n Test-Warn-%{version}

# Fix line endings
%{__sed} -i -e 's/\r$//' Changes

# Remove redundant unversioned perl deps (prior to rpm 4.9)
%global reqfilt /bin/sh -c "%{__perl_requires} | %{__grep} -Fvx 'perl(Test::Builder)'"
%define __perl_requires %{reqfilt}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Warn.3pm*

%changelog
* Fri Feb 25 2011 Paul Howarth <paul@city-fan.org> - 0.23-1
- Update to 0.23
  - compatibility with Perl 5.14
- Remove explicit dependency on perl(Sub::Uplevel), no longer needed
- Tweak dependency filter

* Fri Sep 10 2010 Paul Howarth <paul@city-fan.org> - 0.22-1
- Update to 0.22 (fixes in English)
- Upstream release is now a tarball

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> - 0.21-4
- Rebuild for perl 5.12.1 in Rawhide

* Fri May 28 2010 Paul Howarth <paul@city-fan.org> - 0.21-3
- Fix dist tag for RHEL-6 Beta

* Wed Feb 17 2010 Paul Howarth <paul@city-fan.org> - 0.21-2
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Tue Sep  1 2009 Paul Howarth <paul@city-fan.org> - 0.21-1
- Update to 0.21
  - rename internal package Tree::MyDAG_Node with Test::Warn::DAG_Node_Tree
  - warnings_exist added
  - allow files with spaces in path (RT#21545)
  - carped.t will work on VMS (RT#39579)
  - Array::Compare is not needed
  - Test::Exception is also not needed
  - MIN_PERL_VERSION and compatibility layer in Makefile.PL
- Drop buildreqs perl(Test::Exception) and perl(Array::Compare)
- Define RPM macros in global scope
- Upstream distribution is now a zip file (ugh)

* Thu Nov 13 2008 Paul Howarth <paul@city-fan.org> - 0.11-2
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Wed Jul  9 2008 Paul Howarth <paul@city-fan.org> - 0.11-1
- Update to 0.11
- Add buildreqs perl(File::Spec) and perl(Test::More)

* Wed May  2 2007 Paul Howarth <paul@city-fan.org> - 0.10-1
- Update to 0.10
- Use versioned build dependencies for Sub::Uplevel and Test::Builder
  (upstream requirement of Test::Builder::Tester >= 1.02 cannot
  be met on older distributions)
- Add runtime dependencies on Sub::Uplevel, Test::Builder, and
  Test::Builder::Tester

* Fri Mar 16 2007 Paul Howarth <paul@city-fan.org> - 0.09-1
- Update to 0.09
- Fix dist tag for development releases and Fedora 7 onwards
- Remove %%{__perl_version} macro, used only once
- Remove buildroot unconditionally in %%clean and %%install
- Don't use macros in command paths, hardcode them instead
- Fix argument order for find with -depth
- Use search.cpan.org download URL
- BuildRequire perl(ExtUtils::MakeMaker) and perl(Test::Pod)

* Fri Aug 26 2005 Paul Howarth <paul@city-fan.org> - 0.08-3
- Import from Fedora Extras

* Fri Jul  1 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.08-2
- Dist tag

* Sun Jul 04 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.08-0.fdr.1
- First build
